net.sf.jasperreports.charts

## Interface JRCategorySeries

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    JRBaseCategorySeries, JRDesignCategorySeries, JRFillCategorySeries

      public interface JRCategorySeries
      extends JRCloneable

  Represents the series for any Category dataset.
  Version:
    $Id: JRCategorySeries.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getCategoryExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getSeriesExpression

          JRExpression getSeriesExpression()

      Returns:
        the expression of the series name. The value of this expression can be any `java.lang.Comparable` object.
        Note that this expression may return different values with each iteration, which in turn will result in the dataset having multiple category series, even though a single `<categorySeries>` tag was used inside `<categoryDataset>`. However, this expression usually returns a `java.lang.String` constant, and there are several `<categorySeries>` tags that introduce multiple category series in the dataset.

    - #### getCategoryExpression

          JRExpression getCategoryExpression()

      Returns:
        the expression of the name of the category for each value inside the series specified by the series expression. Categories are `java.lang.Comparable` objects (not necessarily `java.lang.String` objects).

    - #### getValueExpression

          JRExpression getValueExpression()

      Returns:
        the value expression, a `java.lang.Number` value for each category in the specified series.

    - #### getLabelExpression

          JRExpression getLabelExpression()

      Returns:
        the label expression. If present, this expression allows customization of the item labels in the chart.

    - #### getItemHyperlink

          JRHyperlink getItemHyperlink()

      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and an image map will be created for the chart.

      Returns:
        hyperlink specification for chart items

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com